/*
 * pi - P user Interface
 * 
 * $Id: term.h,v 1.1.1.1 2001/02/13 18:30:27 malekith Exp $
 * Author: Michal Moskal <malekith@pld.org.pl>
 * include COPYING-GNU
 */

#ifndef _PI_TERM_H
#define _PI_TERM_H

enum {
	pi_key_first = 0x100,
	pi_key_up, pi_key_down, pi_key_left, pi_key_right,
	pi_key_pgup, pi_key_pgdn, pi_key_del, pi_key_home,
	pi_key_end, pi_key_f0 = 0x200,
};

#define pi_key_f(a) (pi_key_f0 + (a))

extern int pi_screen_height, pi_screen_width;

/* slang.c */
void pi_cls();
void pi_addstr_alt(const char *s, int n, int c1, int c2);
int pi_strlen_alt(const char *s);
void pi_init(void);
void pi_goto(int x, int y);
void pi_frame(int x, int y, int w, int h);
void pi_putch(int c);
void pi_addstr(const char *c);
void pi_addstrn(const char *c, int n);
void pi_addstrn_fill(const char *c, int n);
void pi_color(int c);
void pi_refresh(void);
void pi_fini(void);
void pi_die(const char *msg);
void pi_fill(int c, int x, int y, int w, int h);
int pi_getch(void);
void pi_addstr_fill_alt(const char *s, int n, int c1, int c2);
int pi_register_color(int fg, int bg);
void pi_draw_all();

enum {
/* these can be used as bg */
pi_color_black,
pi_color_red,
pi_color_green,
pi_color_brown,
pi_color_blue,
pi_color_magenta,
pi_color_cyan,
pi_color_lightgray,
/* and these not :( */
pi_color_gray,
pi_color_lightred,
pi_color_lightgreen,
pi_color_yellow,
pi_color_lightblue,
pi_color_lightmagenta,
pi_color_lightcyan,
pi_color_white,
};

#define PI_COLOR(name, fg, bg) \
pi_tag_color_ ## name , pi_register_color(pi_color_ ## fg , pi_color_ ## bg)

#endif /* _PI_TERM_H */
